"""Save completeness of OI and RI

Revision ID: 2772c3ed2d2e
Revises: 4a8412cf00a4
Create Date: 2016-02-11 08:39:28.327056

"""

# revision identifiers, used by Alembic.
revision = '2772c3ed2d2e'
down_revision = '4a8412cf00a4'

from alembic import op
import sqlalchemy as sa


INSERTS = """
ALTER TABLE participations ALTER COLUMN completeness TYPE VARCHAR;
UPDATE participations SET completeness = NULL where completeness != '100';
UPDATE participations SET completeness = '100,100' where completeness = '100';
"""
DELETES = """
UPDATE participations SET completeness = NULL;
ALTER TABLE participations ALTER COLUMN completeness TYPE INTEGER USING completeness::integer;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
