"""Added news extension

Revision ID: 4a8412cf00a4
Revises: d7e23e4d88d
Create Date: 2016-01-04 12:07:54.086576

"""

# revision identifiers, used by Alembic.
revision = '4a8412cf00a4'
down_revision = 'd7e23e4d88d'

from alembic import op
import sqlalchemy as sa


INSERTS = """
INSERT INTO modules VALUES ('b4242e6e63fd4ebb8060623fdac81037', 2007, 'news', 'ringo_news.model.News', 'Nachricht', 'Nachrichten', '', '%s|subject', 'admin-menu', NULL);
INSERT INTO actions VALUES ('0286af968e8e4fa193942c1923d8aa98', 186, 2007, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions VALUES ('73e7557a55204d5092105b3d1827c48d', 187, 2007, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions VALUES ('b55b0d0ef63f4bc1821fc371919ef37f', 188, 2007, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions VALUES ('eb601c69656448d2a63dedd69ea4ffcc', 189, 2007, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions VALUES ('f92ce0eebada40dc9c792ad796fab4ad', 190, 2007, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
"""
DELETES = """
DELETE FROM actions where mid = 2007;
DELETE FROM modules where mi = 2007;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('news',
    sa.Column('uuid', sa.CHAR(length=32), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('subject', sa.String(), nullable=True),
    sa.Column('text', sa.Text(), nullable=True),
    sa.Column('date', sa.Date(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_news_user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('nid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['nid'], ['news.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('nm_news_user')
    op.drop_table('news')
    ### end Alembic commands ###
    iter_statements(DELETES)
