"""Migration to version 1.4

Revision ID: fad9915d6ac
Revises: 26a2fb13e7d0
Create Date: 2015-09-17 09:25:57.916494

"""

# revision identifiers, used by Alembic.
revision = 'fad9915d6ac'
down_revision = '26a2fb13e7d0'

from alembic import op
import sqlalchemy as sa


INSERTS = """
INSERT INTO modules VALUES ('4026f7967f874823a7d273e7c13a2cfb', 2006, 'printtemplates', 'ringo_printtemplate.model.Printtemplate', 'Printtemplate', 'Printtemplates', '', '%s|name', 'hidden', 1);
INSERT INTO actions VALUES ('e196690e212248c18b48ed6ffcd9ee32', 178, 2006, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions VALUES ('883af6c654a044b2842efa55d96578ab', 179, 2006, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions VALUES ('fd9fcaa66db04298b2420f5969559291', 180, 2006, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions VALUES ('f90dd1159daa4da4872f72287d6a99ff', 181, 2006, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions VALUES ('0fa5f1ef82cf4c4c9c0fd441cc5b806a', 182, 2006, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
INSERT INTO actions VALUES ('0aa4f1ef81cf4c4a6c0fe441cc5b806a', 183, 2006, 'Download', 'download/{id}', 'icon-download', '', false, 'primary', '');
INSERT INTO actions VALUES ('373f58a8482942718212b50aa82caf95', 184, 1000, 'Print', 'print/{id}', 'glyphicon glyphicon-print', '', false, 'secondary', '');
INSERT INTO nm_action_roles (aid, rid) VALUES (184, 3);
INSERT INTO printtemplates (id, uuid, mid, name, data, mime, uid, gid) VALUES (1, '', 1000, 'Agreement of consent', '@efa:efa/static/agreement_of_consent.odt', '', NULL, 1);
"""
DELETES = """
DELETE FROM actions WHERE mid = 2006;
DELETE FROM modules where id = 2006;
"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('printtemplates',
    sa.Column('uuid', sa.CHAR(length=32), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('mid', sa.Integer(), nullable=True),
    sa.Column('name', sa.Text(), nullable=True),
    sa.Column('data', sa.LargeBinary(), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('size', sa.Integer(), nullable=True),
    sa.Column('mime', sa.Text(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_printtemplates_gid_usergroups'),
    sa.ForeignKeyConstraint(['mid'], ['modules.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_printtemplates_uid_users'),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_participant_printtemplates',
    sa.Column('iid', sa.Integer(), nullable=True),
    sa.Column('tid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['iid'], [u'participants.id'], ),
    sa.ForeignKeyConstraint(['tid'], ['printtemplates.id'], )
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('nm_participant_printtemplates')
    op.drop_table('printtemplates')
    ### end Alembic commands ###
    iter_statements(DELETES)
