import sqlalchemy as sa
from ringo.model import Base
from ringo.model.base import BaseItem
from ringo.model.mixins import (
    Meta,
    Owned
)


class Operation(BaseItem, Meta, Owned, Base):
    """Project, contract, action or group of :class:`.Project` selected
    by the managing authorities of the (operational) programmes
    concerned, or under their responsibility, that contributes to the
    objectives of a priority (axes) or priorities (priority axis).
    (...)"""
    __tablename__ = 'operations'
    _modul_id = 1003
    id = sa.Column(sa.Integer, primary_key=True)
    start_date = sa.Column('start_date', sa.Date)
    """Start date when the operation begins."""
    end_date = sa.Column('end_date', sa.Date)
    """End date when the operation ends."""
    name = sa.Column('name', sa.String, nullable=False, default='')
    """Name of the"""
    projects = sa.orm.relation("Project", cascade="all")
    """List of :class:`.Project` instances linked to the Operation"""
