#!/usr/bin/env python
# encoding: utf-8

from ringo.scripts.admin import (
    setup_parser as setup_ringo_parser
)
from efa.scripts.participations import (
    add_participations_parser
)
from efa.scripts.target import (
    add_target_parser
)
from efa.scripts.reportserver import add_reportserver_parser
from efa.scripts.autoarchiver import add_autoarchiver_parser
from ringo_news.scripts.command import add_news_parser

from efa.scripts.importcheck import add_import_check_parser
from efa.scripts.transfer_pn import add_transfer_parser


def setup_parser():
    parser, subparsers, global_arguments = setup_ringo_parser()
    add_news_parser(subparsers, global_arguments)
    add_participations_parser(subparsers, global_arguments)
    add_target_parser(subparsers, global_arguments)
    add_reportserver_parser(subparsers, global_arguments)
    add_autoarchiver_parser(subparsers, global_arguments)
    add_import_check_parser(subparsers, global_arguments)
    add_transfer_parser(subparsers, global_arguments)
    return parser, subparsers, global_arguments


def main():
    parser, subparsers, global_arguments = setup_parser()
    args = parser["root"].parse_args()
    args.func(args)


if __name__ == '__main__':
    main()
