#!/usr/bin/bash

set -e
set -x

APP="PWE"
RESULT_DIR="/home/ludwig/tmp/evalserver/tmp/"
RESULT_FILE="$RESULT_DIR/import-$APP-$(date +"%F").sql"
ADMIN_CMD=$(echo $APP | tr '[:upper:]' '[:lower:]')"-admin"
CLAZZ="model.participation.$(echo $APP | tr '[:lower:]' '[:upper:]')Participation"
DBTEMPLATE="/home/ludwig/speq/pwe/development.ini"
DBCONFIGS=($(ls $DBTEMPLATE))

# Generate the target part
# First part:
$ADMIN_CMD target table --config ${DBCONFIGS[0]} >> "$RESULT_FILE";
echo -en '\n' >> "$RESULT_FILE"

# For all configs
for db in ${DBCONFIGS[@]}; do
  $ADMIN_CMD target copyfrom --config $db >> "$RESULT_FILE";
  $ADMIN_CMD target export --config $db --end-year="2020" >> "$RESULT_FILE";
  echo -en '\\.\n' >> "$RESULT_FILE"
done

