## -*- coding: utf-8 -*-
<%inherit file="/main.mako" />

<%def name="yearstyle(color)" >
    % if not color:
        style='color: darkgrey;'
    % endif
</%def>

<div class="page-header">
<h1>${_('anual review targetachievement')} ${calc_year}</h1>
</div>
<div class="row">
  <script>
    $(function(){
      $("select[name='year']").on("change", function(){ document.forms[0].submit(); });
    });
  </script>
<form method="GET" action="${request.route_path('detectsystem')}">
  <div class="col-sm-2">
    <fieldset class="form-group">
      <select class="form-control" name="year">
        % for y in range(startyear, endyear +1):
          <option value="${y}"
          % if y == calc_year:
           selected
          % endif
          >${y}</option>
        % endfor
      </select>
    </fieldset>
  </div>
</form>
</div>
<br/>

% if s.has_role(request.user, "beneficiary"):
<div class="row">
  <div class="col-md-12">
    <table class="table table-condensed"> 
      <tr>
        <td style="width: 450px;"></td>
        % for item in detectsystem:
          <td style="width: 190px;"><div ${yearstyle(item['quota'][3])}>${item["month"]}</div></td>
        % endfor
      </tr>
      <tr>
        <th>${_('pt monthly')}
	  <span data-toggle="tooltip" data-html="true" data-original-title="<p align='left'><b>${_('Reached (CURRENT)')}</b>: ${_('Counted were entries of the month. The entries must be complete and esf-valid.')}</p><p align='left'><b>${_('Target (SHOULD)')}</b>: ${_('Begin with anual target, for each month is calculated one twelves and rounded. The minimum is one.')}</p><p align='left'><b>${_('quota')}</b>: ${_('The display is dependent of the percent value: red: under 50 %; green: 100 % and more and yellow: between 50 % and 100%.')}</p>" class="formbar-tooltip glyphicon glyphicon-info-sign hidden-print"></span>
	</th>
	% for x in range(12):
	  <td>&nbsp;</td>
	% endfor
      </tr>
        <td>${_('Reached (CURRENT)')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['quota'][3])}>${item["quota"][1]}</td>
        % endfor
      </tr>
      <tr>
        <td>${_('Target (SHOULD)')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['quota'][3])}>${item["quota"][0]}</td>
        % endfor
      </tr>
      <tr>
        <td>${_('quota')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['quota'][3])} class="${item['quota'][3]}">${item["quota"][2]} %</td>
        % endfor
      </tr>
      <tr>
        <th>${_('pt cumulated anual')}
	 <span data-toggle="tooltip" data-html="true" data-original-title="<p align='left'><b>${_('Reached (CURRENT)')}</b>: ${_('Counted were the added entries to that month in the current year. The entries must be complete and esf-valid.')}</p><p align='left'><b>${_('Target (SHOULD)')}</b>: ${_('To get the anual target, it is calculated how many pt per month should be reached (interpolated).')}</p><p align='left'><b>${_('quota')}</b>: ${_('The display is dependent of the percent value: red: under 50 %; green: 100 % and more and yellow: between 50 % and 100%.')}</p>" class="formbar-tooltip glyphicon glyphicon-info-sign hidden-print"></span>
	</th>
	% for x in range(12):
	  <td>&nbsp;</td>
	% endfor
      </tr>
      <tr>
        <td>${_('Reached (CURRENT)')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['cum_quota'][3])}>${item["cum_quota"][1]}</td>
        % endfor
      </tr>
      <tr>
        <td>${_('Target (SHOULD)')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['cum_quota'][3])}>${item["cum_quota"][0]}</td>
        % endfor
      </tr>
      <tr>
        <td>${_('quota')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['cum_quota'][3])} class="${item['cum_quota'][3]}">${item["cum_quota"][2]} %</td>
        % endfor
      </tr>
      <tr>
        <th>${_('pt cumulated total')}
	  <span data-toggle="tooltip" data-html="true" data-original-title="<p align='left'><b>${_('Reached (CURRENT)')}</b>: ${_('Counted were entries of the total project. The entries must be complete and esf-valid.')}</p><p align='left'><b>${_('Target (SHOULD)')}</b>: ${_('Begin with the start of the project, it is calculated how many pts must be reached to this month (interpolated).')}</p><p align='left'><b>${_('quota')}</b>: ${_('The display is dependent of the percent value: red: under 50 %; green: 100 % and more and yellow: between 50 % and 100%.')}</p>" class="formbar-tooltip glyphicon glyphicon-info-sign hidden-print"></span>
	</th>
	% for x in range(12):
	  <td>&nbsp;</td>
	% endfor
      </tr>
      <tr>
        <td>${_('Reached (CURRENT)')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['total_quota'][3])}>${item["total_quota"][1]}</td>
        % endfor
      </tr>
      <tr>
        <td>${_('Target (SHOULD)')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['total_quota'][3])}>${item["total_quota"][0]}</td>
        % endfor
      </tr>
      <tr>
        <td>${_('quota')}</td>
        % for item in detectsystem:
          <td ${yearstyle(item['total_quota'][3])} class="${item['total_quota'][3]}">${item['total_quota'][2]} %</td>
        % endfor
      </tr>
    </table>
    </div>
  </div>
% endif
