# -*- coding: utf-8 -*-
<%
mode = h.get_app_mode(request) 
from ringo.lib.table import get_table_config
from efa.model.participation import Participation
%>
<%namespace name="base" file="base.mako"/>
<div id="status-messages">
  ${base.flash_messages()}
</div>
% if mode:
  <div style="background-color: ${mode[2]};">
    <div class="container">
      <div id="mode" class="row">
        <div class="col-md-2">
          <center>
            <strong>[${mode[0]}]</strong>
          </center>
        </div>
        <div class="col-md-8">
          <center>
            % if mode[1]:
              ${mode[1]}
            % endif
            % if request._active_testcase:
              Testcase Active (<a href="${request.route_path("stop_test_case")}">Rollback</a>)
            % else:
              Testcase Inactive (<a href="${request.route_path("start_test_case")}">Start</a>)
            % endif
          </center>
        </div>
        <div class="col-md-2">
          <center>
            <strong>[${mode[0]}]</strong>
          </center>
        </div>
      </div>
    </div>
  </div>
% endif
<%include file="logo.mako" />
<div class="navbar navbar-default navbar-static-top">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="${request.route_path('home')}">${h.get_app_title()}</a>
    </div>
    <div class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <%
          table_config = get_table_config(Participation)
          is_advanced_search = table_config.is_advancedsearch()
          if clazz:
            modul_name = h.get_item_modul(request, clazz).name
          else:
            modul_name = None
        %>
        % if request.user:
        <li class="${ request.url ==  request.route_url('home') and 'active' }"><a href="${request.route_path('home')}">${_('Home')}</a></li>
        % endif
        % for modul in h.get_modules(request, 'header-menu'):
          % if modul.name == 'participations':
            <li class="${(modul_name == modul.name) and 'active'}">
              <%
                if not is_advanced_search:
                  list_query = {'table': 'Editable'}
                else:
                  list_query = {'form': 'search', 'search': _('In Progress'), 'field': 'application_state', 'reset': '1'}
              %>
              <a href="${request.route_path(modul.name+'-list', _query=list_query)}" role="button" aria-haspopup="true" aria-expanded="false" style="padding-right:10px;">${modul.get_label(plural=True)}</a>
            </li>
            <li class="dropdown">
              <a class="dropdown-toggle caret-after" data-toggle="dropdown" style="padding-left:3px;">
                <b class="caret"></b>
                </a>
                <ul class="dropdown-menu">
                  % if not is_advanced_search:
                    <li><a href="${request.route_path(modul.name+'-list', _query=list_query)}">Aktive Teilnahmen</a></li>
                    <li><a href="${request.route_path(modul.name+'-list', _query={'table': 'Archived'})}">Archivierte Teilnahmen</a></li>
                    <li><a href="${request.route_path(modul.name+'-list', _query={'table': 'All'})}">Alle Teilnahmen</a></li>
                  % else:
                    <li><a href="${request.route_path(modul.name+'-list', _query=list_query)}">Aktive Teilnahmen</a></li>
                    <li><a href="${request.route_path(modul.name+'-list', _query={'form': 'search', 'search': _('Archived'), 'field': 'application_state', 'reset': '1'})}">Archivierte Teilnahmen</a></li>
                    <li><a href="${request.route_path(modul.name+'-list', _query={'reset': '1'})}">Alle Teilnahmen</a></li>
                    <li><a href="${request.route_path(modul.name+'-list')}">Teilnahmen aus der letzten Suche</a></li>
                  % endif
                </ul>
            </li>
          % else:
          <li class="${(modul_name == modul.name) and 'active'}"><a href="${request.route_path(modul.name+'-list')}">${modul.get_label(plural=True)}</a></li>
          % endif
        % endfor
        % if request.user and request.user.has_role('beneficiary'):
          <li class="${(modul_name == "participations") and 'active'}"><a href="${request.route_path('controllist')}">${_('Participations')}</a></li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">${_('Reports')}<span class="caret"></span></a>
            <ul class="dropdown-menu">
              % if request.ringo.feature.efa_sachbericht:
                <li class="${ request.url ==  request.route_url('report_sachbericht') and 'active' }"><a href="${ request.route_url('report_sachbericht')}">Sachbericht</a></li>
              % endif
              % if request.ringo.feature.efa_durchfuehrungsbericht:
                <li class="${ request.url == request.route_url('report_durchfuehrungsbericht') and 'active' }"><a href="${ request.route_url('report_durchfuehrungsbericht')}">ESF-Auswertung</a></li>
              % endif
              <!-- Toggle for exports-->
            % if request.registry.settings.get('exports.deactivate') != 'true':
              <li class="${ request.url == request.route_url('participants-excelexport') and 'active' }"><a href="${ request.route_url('participants-excelexport')}">${_('Teilnehmende Export (validiert)')}</a></li>
              <li class="${ request.url == request.route_url('participations-excelexport') and 'active' }"><a href="${ request.route_url('participations-excelexport')}">${_('Teilnahmen Export (Rohdaten)')}</a></li>
            %endif
            <!-- /Toggle for exports-->
              % if request.registry.settings.get("efa.use_target") == "true":
                <li><a href="${request.route_url('detectsystem')}">Jahresübersicht Zielwerterreichung</a></li>
              % endif
              % if request.registry.settings.get("efa.use_frueherkennung") == "true":
		<li><a href="${request.route_url('frueherkennung')}">Früherkennung FP1</a></li>
              % endif
              % if request.registry.settings.get("efa.use_frueherkennung_fp2") == "true":
		<li><a href="${request.route_url('frueherkennung_fp2')}">Früherkennung FP2</a></li>
              % endif
            </ul>
          </li>
        % endif
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li class="divider-vertical"></li>
        % if request.user:
        <li>
        % if request.registry.settings.get("layout.show_sessiontimer") == "true":
          <%include file="/sessiontimer.mako" />
        % endif
        </li>
          <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-user"></i> ${request.user.profile[0].first_name} ${request.user.profile[0].last_name} (${request.user.login})<b class="caret"></b></a>
            <ul class="dropdown-menu">
              <li role="presentation" class="dropdown-header">${_('Settings')}</li>
              <li><a href="${request.route_path('profiles-update', id=request.user.profile[0].id)}"><img class="icon" src="${request.static_path('ringo:static/images/icons/16x16/profile.png')}"/>${_('Profile')}</a></li>
              <li><a href="${request.route_path('users-changepassword', id=request.user.id)}"><img class="icon" src="${request.static_path('ringo:static/images/icons/16x16/application-certificate.png')}"/>${_('Change Password')}</a></li>
              % if not s.has_role(request.user, 'beneficiary'):
                <li><a href="${request.route_path('usergroups-setstandin', id=request.user.default_gid)}"><img class="icon" src="${request.static_path('ringo:static/images/icons/16x16/system-users.png')}"/>${_('Set standin')}</a></li> 
              % endif
              <li class="divider"></li>
              <% user_menu_modules = h.get_modules(request, 'user-menu') %>
                % if len(user_menu_modules) > 0:
                <li role="presentation" class="dropdown-header">${_('Service')}</li>
                ## Render entries for the user-menue
                % for modul in h.get_modules(request, 'user-menu'):
                  <li><a href="${request.route_path(modul.name+'-list')}">${_(modul.get_label(plural=True))}</a></li>
                % endfor
                <li class="divider"></li>
              % endif
              <li><a href="${request.route_path('logout')}"><img class="icon" src="${request.static_path('ringo:static/images/icons/16x16/system-log-out.png')}"/>${_('Logout')}</a></li>
            </ul>
          </li>
        % else:
          <li><a href="${request.route_path('login')}">${_('Login')}</a></li>
        % endif
      </ul>
    </div><!--/.nav-collapse -->
  </div>
</div>
