## -*- coding: utf-8 -*-
##<div class="row">
##  <div class="col-md-12">
##    <h2>${_('News')}</h2>
##    <p>${_('Important announcements.')}</p>
##  </div>
##</div>
% if s.has_role(request.user, "organisation"):
<div class="row">
  <div class="col-md-8">
    <%include file="${h.get_app_location('ringo_news')+'/ringo_news/templates/newslist.mako'}"/>
    <h2>${_('Resubmissions')}</h2>
    % if not reminders and not has_errors_items:
      <p>${_('There are currently to reminders for any participations.')}</p>
    % endif
    % if reminders:
    <h3>${_('Exceeded planned end date')}</h3>
    <p>${_('List of running participations with an exceeded planned end date. Please check the data of the participation and either finish the participation or adapt the planned end date.')}</p>
    <table class="table table-striped table-hover table-condensed datatable-blank">
      <thead>
      <tr>
        <th>${_('Name')}</th>
        <th>${_('Project')}</th>
        <th>${_('Planned end date')}</th>
      </tr>
      </thead>
      <tbody>
      % for participant in reminders:
        <tr data-link="${request.route_path(h.get_action_routename(participant, 'update'), id=participant.id)}">
        <td class="link">
          ${participant}
        </td>
        <td class="link">
          ${participant.project}
        </td>
        <td class="link">
          % if participant.planned_end_date:
            ${h.prettify(request, participant.planned_end_date)}
          % else:
            <span class="text-warning">${_('not yet specified')}</span>
          % endif
        </td>
      </tr>
      % endfor
      </tbody>
    </table>
    % endif
    % if has_errors_items:
    <h3>${_('Post-processing is necessary')}</h3>
    <p>${_('List of participations, which include an error. The reason for this may be modified rule checks or newly added mandatory fields. Please check the details in the participation and fix errors. The errors are highlighted in red in the participation.')}</p>
    <table class="table table-striped table-hover table-condensed datatable-blank">
      <thead>
      <tr>
        <th>${_('Name')}</th>
        <th>${_('Project')}</th>
      </tr>
      </thead>
      <tbody>
      % for participant in has_errors_items:
        <tr data-link="${request.route_path(h.get_action_routename(participant, 'update'), id=participant.id)}">
        <td class="link">
          ${participant}
        </td>
        <td class="link">
          ${participant.project}
        </td>
      </tr>
      % endfor
      </tbody>
    </table>
    % endif
  </div>
</div>
% else:
<div style="margin-top:10px;padding:5px;background-color:#F5F5F5;color:#777;text-align:center;">
  <i>
    Diese Startseite ist beispielhaft.<br>
    Zukünftig werden Ihnen an dieser Stelle Funktionen zur Verfügung stehen,
    die Sie bei Ihrer Arbeit unterstützen werden.
  </i>
</div>

<div class="row">
  <div class="col-md-8">
    <%include file="${h.get_app_location('ringo_news')+'/ringo_news/templates/newslist.mako'}"/>
  </div>
</div>
% endif

% if detectsystem:
<div class="row">
  <div class="col-md-7">

  </div>
  <div class="col-md-5">
    <h2>${_('targetachievement')}</h2>
  </div>
</div>
<div class="row">
  <div class="col-md-7">

  </div>
  <div class="col-md-5">
  ${_('Show current month and last month.')}
  </div>
</div>
<div class="row">
  <div class="col-md-7">

  </div>
  <div class="col-md-5">
    <table class="table">
      <tr>
        <td></td>
        <td>${detectsystem["month_before"]}</td>
        <td>${detectsystem["month_today"]}</td>
      </tr>
      <tr>
        <th>${_('participants monthly')}
	  <span data-toggle="tooltip" data-html="true" data-original-title="<p align='left'><b>${_('Reached (CURRENT)')}</b>: ${_('Counted were entries of the month. The entries must be complete and esf-valid.')}</p><p align='left'><b>${_('Target (SHOULD)')}</b>: ${_('Begin with anual target, for each month is calculated one twelves and rounded. The minimum is one.')}</p><p align='left'><b>${_('quota')}</b>: ${_('The display is dependent of the percent value: red: under 50 %; green: 100 % and more and yellow: between 50 % and 100%.')}</p>" class="formbar-tooltip glyphicon glyphicon-info-sign hidden-print"></span>
	</th>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
      </tr>
      <tr>
        <td>${_('Reached (CURRENT)')}
	</td>
        <td>${detectsystem["quota_before"][1]}</td>
        <td>${detectsystem["quota_today"][1]}</td>
      </tr>
      <tr>
        <td>${_('Target (SHOULD)')}
	</td>
        <td>${detectsystem["quota_before"][0]}</td>
        <td>${detectsystem["quota_today"][0]}</td>
      </tr>
      <tr>
        <td>${_('quota')}
	</td>
        <td class="${detectsystem['quota_before'][3]}">
       ${detectsystem['quota_before'][2]}%</td>
        <td class="${detectsystem['quota_today'][3]}">
      ${detectsystem['quota_today'][2]}%
    </td>
      </tr>
      <tr>
        <th>${_('participants cumulated')}
	  <span data-toggle="tooltip" data-html="true" data-original-title="<p align='left'><b>${_('Reached (CURRENT)')}</b>: ${_('Counted were the added entries to that month in the current year. The entries must be complete and esf-valid.')}</p><p align='left'><b>${_('Target (SHOULD)')}</b>: ${_('To get the anual target, it is calculated how many pt per month should be reached (interpolated).')}</p><p align='left'><b>${_('quota')}</b>: ${_('The display is dependent of the percent value: red: under 50 %; green: 100 % and more and yellow: between 50 % and 100%.')}</p>" class="formbar-tooltip glyphicon glyphicon-info-sign hidden-print"></span>
	</th>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
      </tr>
      <tr>
        <td>${_('Reached (CURRENT)')}
	</td>
        <td>${detectsystem["cumulative_quota_before"][1]}</td>
        <td>${detectsystem["cumulative_quota_today"][1]}</td>
      </tr>
      <tr>
        <td>${_('Target (SHOULD)')}
	</td>
        <td>${detectsystem["cumulative_quota_before"][0]}</td>
        <td>${detectsystem["cumulative_quota_today"][0]}</td>
      </tr>
      <tr>
        <td>${_('quota')}
	</td>
        <td class="${detectsystem['cumulative_quota_before'][3]}">
      ${detectsystem["cumulative_quota_before"][2]}%</td>
        <td class="${detectsystem['cumulative_quota_today'][3]}">
      ${detectsystem["cumulative_quota_today"][2]}%
        </td>
      </tr>
      <tr>
        <th>${_('participants total')}
	<span data-toggle="tooltip" data-html="true" data-original-title="<p align='left'><b>${_('Reached (CURRENT)')}</b>: ${_('Counted were entries of the total project. The entries must be complete and esf-valid.')}</p><p align='left'><b>${_('Target (SHOULD)')}</b>: ${_('Begin with the start of the project, it is calculated how many pts must be reached to this month (interpolated).')}</p><p align='left'><b>${_('quota')}</b>: ${_('The display is dependent of the percent value: red: under 50 %; green: 100 % and more and yellow: between 50 % and 100%.')}</p>" class="formbar-tooltip glyphicon glyphicon-info-sign hidden-print"></span>
        </th>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
      </tr>
      <tr>
        <td>${_('Reached (CURRENT)')}
	</td>
        <td>${detectsystem["total_quota_before"][1]}</td>
        <td>${detectsystem["total_quota_today"][1]}</td>
      </tr>
      <tr>
        <td>${_('Target (SHOULD)')}
	</td>
        <td>${detectsystem["total_quota_before"][0]}</td>
        <td>${detectsystem["total_quota_today"][0]}</td>
      </tr>
      <tr>
        <td>${_('quota')}
	</td>
        <td class="${detectsystem['total_quota_before'][3]}">
            ${detectsystem["total_quota_before"][2]}%</td>
        <td class="${detectsystem['total_quota_today'][3]}">
            ${detectsystem["total_quota_today"][2]}%
        </td>
      </tr>
    </table>
    <div class="col-md-5"> 
      <a href="${request.route_path('detectsystem')}">${_('anual review targetachievement')}</a>
    </div>
  </div>
</div>
%endif
