## -*- coding: utf8 -*-

<%def name="render_rule_status(value)">
    % if value is None:
      Nicht auswertbar
    % elif value:
      Erfüllt
    % else:
      Nicht erfüllt
    % endif
</%def>

<%def name="render_tr_class(value)">
    % if value is None:
      warning
    % elif value:
      foo
    % else:
      danger
    % endif
</%def>

<%def name="render_indicator_table(name, indicators)">
   <h2>${name}</h2>
   <table id="outputindicators" class="table table-striped table-hover">
     <thead>
     <tr>
       <th>ESF-Indikator</th>
       <th>Beschreibung</th>
       <th>Wert</th>
     </tr>
     </thead>
     <tbody>
     % for indicator in indicators:
     <tr>
       <td description="name" class="col-md-2">${indicator.name}</td>
       <td description="description" class="col-md-8">${indicator.description}</td>
       <td description="value" class="col-md-2">${indicator.value}</td>
     </tr>
     % endfor
     </tbody>
   </table>

</%def>

<div class="row">
  % if not validation.has_violated_rules():
  <div class="col-md-12">
    <div class="alert alert-success" role="alert">
      <i class="glyphicon glyphicon-ok"></i>
      ${_('The participation fulfills all rule checks for an ESF-Validation.')}
    </div>
  </div>
  % endif
</div>
<div class="row">
  <div class="col-md-12">
    <p>Die Angaben in der Teilnahmedokumentation müssen verschiedene
      Vorgaben erfüllen, damit die Teilnahme im Rahmen der ESF-Auswertung
      berücksichtigt werden kann. Das Ergebnis der Überprüfung wird hier
      detailliert dargestellt.</p>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
    <h2>${_('Rules')}</h2>
    <table id="rules" class="table table-striped table-hover">
      <thead>
      <tr>
        <th class="col-md-1">${_('No.')}</th>
        <th class="col-md-8">${_('Rule')}</th>
        <th class="col-md-2">${_('Section')}</th>
        <th class="col-md-2">${_('Status')}</th>
      </tr>
      </thead>
      <tbody>
      % for num, rule in enumerate(sorted(validation.rules.keys())):
        <tr class="${self.render_tr_class(validation.status[rule])}">
          <td description="number">${num+1}.</td>
          <td description="rule">${validation.get_rule_description(rule)[0]}</td>
          <td description="section">${validation.get_rule_description(rule)[1]}</td>
          <td description="status" >${self.render_rule_status(validation.status[rule])}</td>
      </tr>
      % endfor
      </tbody>
    </table>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
    <small>
      <strong>Nicht auswertbar:</strong> Es fehlen in diesen Bereich Angaben, so dass die
      Regeln nicht überprüft werden können.</br>
      <strong>Erfüllt:</strong> Alle Angaben für diese Regeln sind vorhanden und die Regeln konnten erfüllt werden.</br>
      <strong>Nicht erfüllt:</strong> Alle Angaben für diese Regeln sind vorhanden, aber nicht alle Regeln dieses Bereichs konnten erfüllt werden.
    </small>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
    ${render_indicator_table("ESF-Outputindikatoren", validation.oi_indicators)}
  </div>
</div>
