# -*- coding: utf8 -*-

<%inherit file="/main.mako" />
<style>
#reportresult table td:not(:first-child) {
  text-align: right;
}
#reportresult table th:not(:first-child) {
  text-align: right;
}
</style>
<div class="page-header">
% if s.has_role(request.user, "organisation"):
  <h1>Auswertung Ihrer Teilnehmenden</h1>
% else:
  <h1>Auswertung der Teilnehmenden aller Träger</h1>
% endif
</div>

<div class="container">
    <div class="row">
      <div class="col-12">
        ${search}
      </div>
    </div>
</div>
% if out:
<div id="reportresult">
  <h2>Ergebnis für den ausgewählten Zeitraum</h2>
  % if s.has_role(request.user, "organisation"):
    <p>Das Ergebnis basiert auf Ihren Teilnehmenden (inklusive Vertretungen).
  % else:
    <p>Das Ergebnis basiert auf den Teilnehmenden aller ${_('Organisations')}.
  % endif
  <div class="row">
    <div class="col-md-12">
      <h3>Gesamtzahlen</h3>
      <p>Als <i>Neueintritte</i> werden alle Teilnehmenden gezählt, deren
        Eintrittsdatum innerhalb des ausgewählten Zeitraums liegt und deren
        Pflichtfelder <u>vollständig</u> ausgefüllt sind.</p>
      <p>Als <i>Austritte</i> werden alle Teilnehmenden gezählt, deren
        Austrittsdatum innerhalb des ausgewählten Zeitraums liegt und deren
        Pflichtfelder <u>vollständig</u> ausgefüllt sind.</p>
      <table class="table table-hover table-striped datatable-blank">
          <thead>
              <tr>
                  <th>Kriterium</th><th style="width: 100px">Anzahl</th>
              </tr>
          </thead>
          <tbody>
              <!--
              <tr>
                <td>Laufende Teilnehmenden</td><td>???</td>
              </tr>
              -->
              <tr>
                <td>Neueintritte</td><td>${out['entries']}</td>
              </tr>
              <tr>
                <td>Austritte</td><td>${out['exits']}</td>
              </tr>
          </tbody>
      </table>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <h3>Status bei Eintritt</h3>
      <table class="table table-hover table-striped datatable-blank">
          <thead>
              <tr>
                  <th>Kriterium</th><th style="width: 100px;">Anzahl</th>
              </tr>
          </thead>
          <tbody>
              <!--
              <tr>
                <td>Neueintritte</td><td>${out['entries']}</td>
              </tr>
              -->
          </tbody>
      </table>
      <p class="text-muted"><i class="glyphicon glyphicon-info-sign"></i> Der Status bei Eintritt Ihrer Teilnehmenden wird in
        dieser Version noch nicht ausgewertet.</p>
    </div>
    <div class="col-md-6">
      <h3>Status bei Austritt</h3>
      <table class="table table-hover table-striped datatable-blank">
          <thead>
              <tr>
                  <th>Kriterium</th>
                  <th>Männlich</th>
                  <th>Weiblich</th>
                  <th>Gesamt</th>
              </tr>
          </thead>
          <tbody>
              <tr>
                  <td>Arbeitssuchend</td>
                  <td>${out['26']['gender'][1]}</td>
                  <td>${out['26']['gender'][0]}</td>
                  <td>${out['26']['gender'][1] + out['26']['gender'][0]}</td>
              </tr>
              <tr>
                  <td>Aufnahme einer schulischen/beruflichen Bildung</td>
                  <td>${out['27']['gender'][1]}</td>
                  <td>${out['27']['gender'][0]}</td>
                  <td>${out['27']['gender'][1] + out['27']['gender'][0]}</td>
              </tr>
              <tr>
                  <td>Qualifikation</td>
                  <td>${out['28']['gender'][1]}</td>
                  <td>${out['28']['gender'][0]}</td>
                  <td>${out['28']['gender'][1] + out['28']['gender'][0]}</td>
              </tr>
              <tr>
                  <td>Beschäftigung</td>
                  <td>${out['29']['gender'][1]}</td>
                  <td>${out['29']['gender'][0]}</td>
                  <td>${out['29']['gender'][1] + out['29']['gender'][0]}</td>
              </tr>
          </tbody>
      </table>
    </div>
  </div>
</div>
% endif
