# -*- coding: utf-8 -*-
import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.txt')).read()
CHANGES = open(os.path.join(here, 'CHANGES.txt')).read()

requires = [
    'ringo',
    'ringo_contact',
    'ringo_printtemplate',
    'ringo_news',
    'ringo_bmasreport',
    'ringo_target',
    'psycopg2',
    'damm',
    'euhu',
    'dates2utils',
    'openpyxl'
    ]

setup(name='efa',
      version='1.23.3',
      description='efa',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Ringo",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        "License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)",
        ],
      author='Torsten Irländer',
      author_email='',
      url='',
      license='GNU General Public License v2 or later (GPLv2+)',
      keywords='web wsgi bfg pylons pyramid ringo esf',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      test_suite='efa',
      install_requires=requires,
      scripts=['efa/scripts/reportserver_scripts/efa-aws-export.sh'],
      entry_points="""\
      [paste.app_factory]
      main = efa:main
      [console_scripts]
      efa-admin = efa.scripts.admin:main
      set-targets = efa.scripts.frueherkennung.set_targets:main
      [babel.extractors]
      tableconfig = ringo.lib.i18n:extract_i18n_tableconfig
      formconfig = formbar.i18n:extract_i18n_formconfig
      """,
      message_extractors = {'efa': [
            ('**.py', 'python', None),
            ('templates/**.html', 'mako', None),
            ('templates/**.mako', 'mako', None),
            ('views/**.xml', 'formconfig', None),
            ('views/**.json', 'tableconfig', None),
            ('static/**', 'ignore', None)]},
      )
